Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.model
Class DIDLObject.Class

    java.lang.Object
      org.teleal.cling.support.model.DIDLObject.Class

Enclosing class:
  DIDLObject

    public static class DIDLObject.Class

extends Object

Field Summary
`protected String` | `friendlyName`
`protected boolean` | `includeDerived`
`protected String` | `value`

Constructor Summary
`DIDLObject.Class()`
`DIDLObject.Class(String value)`
`DIDLObject.Class(String value, String friendlyName)`
`DIDLObject.Class(String value, String friendlyName, boolean includeDerived)`

Method Summary
`boolean` | `equals(DIDLObject instance)`
`String` | `getFriendlyName()`
`String` | `getValue()`
`boolean` | `isIncludeDerived()`
`void` | `setFriendlyName(String friendlyName)`
`void` | `setIncludeDerived(boolean includeDerived)`
`void` | `setValue(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected String value

### friendlyName

    protected String friendlyName

### includeDerived

    protected boolean includeDerived

Constructor Detail

### DIDLObject.Class

    public DIDLObject.Class()

### DIDLObject.Class

    public DIDLObject.Class(String value)

### DIDLObject.Class

    public DIDLObject.Class(String value,
                            String friendlyName)

### DIDLObject.Class

    public DIDLObject.Class(String value,
                            String friendlyName,
                            boolean includeDerived)

Method Detail

### getValue

    public String getValue()

### setValue

    public void setValue(String value)

### getFriendlyName

    public String getFriendlyName()

### setFriendlyName

    public void setFriendlyName(String friendlyName)

### isIncludeDerived

    public boolean isIncludeDerived()

### setIncludeDerived

    public void setIncludeDerived(boolean includeDerived)

### equals

    public boolean equals(DIDLObject instance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.